summaryrefslogtreecommitdiff
path: root/examples
diff options
context:
space:
mode:
authorAndreas Baumann <mail@andreasbaumann.cc>2015-06-11 21:33:09 +0200
committerAndreas Baumann <mail@andreasbaumann.cc>2015-06-11 21:33:09 +0200
commit65e8b5f2af8ce5405987c4765d03f9bff8204855 (patch)
treed956b03f469228e49e2233991b09dec4b766589b /examples
parent8d31ed01c535804ca2f1273044f3bca1cf6e37ed (diff)
downloadbiruda-65e8b5f2af8ce5405987c4765d03f9bff8204855.tar.gz
biruda-65e8b5f2af8ce5405987c4765d03f9bff8204855.tar.bz2
fixed usage and parameter parsing in build_centos6.sh script
Diffstat (limited to 'examples')
-rwxr-xr-xexamples/build_gold_image/build_centos6.sh9
1 files changed, 7 insertions, 2 deletions
diff --git a/examples/build_gold_image/build_centos6.sh b/examples/build_gold_image/build_centos6.sh
index 8a64f57..3d4fd3b 100755
--- a/examples/build_gold_image/build_centos6.sh
+++ b/examples/build_gold_image/build_centos6.sh
@@ -6,6 +6,11 @@ export PATH=/bin:/sbin:/usr/bin:/usr/sbin:${PATH}
ARCH=$1
+if test "x$ARCH" = "x"; then
+ echo "One argument expected (architecture)" 1>&2
+ exit 1
+fi
+
case $ARCH in
i686)
PACKAGE_ARCH=i386
@@ -17,8 +22,8 @@ case $ARCH in
ARCH_SWITCH=
;;
- default)
- echo "Unsupported architecture '$ARCH'"
+ *)
+ echo "Unsupported architecture '$ARCH'" 1>&2
exit 1
esac